#!/bin/sh
#
# ******************************************************************************
# 官方网站：	www.zijidelu.org
# 服务邮箱：	service@zijidelu.org
# 作者：		刘新（网名：爱洞特漏）
# 电话：		+86-13688995218
# ------------------------------------++++
# Website:   www.zijidelu.org
# Email:     service@zijidelu.org
# Author:    Liu Xin
# Tel:       +86-13688995218
# ------------------------------------++++
# Thank you for choosing zijidelu's software!
# ******************************************************************************
#

. './common.inc.sh'

ai_ntpdate

echo $color_green

echo "++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++"
echo "+"
echo "+ [2] Install LuManager 1.1"
echo "+ [1] Install LuManager 1.0"
echo "+ [0] Cancel."
echo "+"
echo "++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++"

showmsg "请输入您的选择，然后回车！"   "Please choosing your option and press enter! "
read install_num

echo $color_white

if [ "$install_num" = '1' ]; then
	lum_ver="1.0.22"
elif [ "$install_num" = '2' ]; then
	lum_ver="1.1.0"
elif [ "$install_num" = '0' ]; then
	exit;
fi

#show_msg "Do you need Chinese language tips?[Y/n]"
#read need_chinese
#if [ "$need_chinese" != 'n' ] && [ "$need_chinese" != 'N' ]; then	
#fi

if [ ! -d '/home' ]; then
	mkdir /usr/home
	ln -s /usr/home /home
fi

$group_add zijideluGroup -g 1520
$user_add zijidelu -u 1520 -g zijideluGroup -s /sbin/nologin -d /dev/null

$group_add lu_mysql -g 1504
$user_add lu_mysql -u 1504 -g lu_mysql -s /sbin/nologin -d /dev/null

install_LuNamp $1 $lum_ver

install_LuManager $lum_ver

check_mysql_password

import_data

repair_files_permission

if [ -d '/home/ftp/1501' ]; then
	mv  /home/ftp/1501  /home/ftp/1520

	chown -R zijidelu:LuManager /home/ftp/1520
	chown 770 /home/ftp/1520
	chown -R 775 /home/ftp/1520/*
fi

#改回原密码
if [ "$mysql_password" != 'zijidelu' ]; then
	str_replace "'zijidelu'"     "'${mysql_password}'"    "/usr/local/LuManager/Conf/config.php"    "rm_backup_file"
fi

if [ -e "$LuManager_root/Common/" ]; then
	showmsg "${LuManager_ver}安装完成，谢谢您的使用!"    "${LuManager_ver} was successfully installed, Thank you for choose it!"
	showmsg '请使用http://IP:8888或http://domain:8888访问后台管理系统（IP就是您的服务器IP，domain即是指向该IP的域名）。'    'Please use "http://your ip:8888" or "http://your domain:8888" and login LuManager to manager your system!'
	showmsg '为保证所有程序都能正常使用，需重启系统，立即重启吗？[Y/n]'        'In order to LuManager normal operation, You must reboot the system, reboot now?[Y/n]'

	read reboot_now
	if [ "$reboot_now" != 'n' ] && [ "$reboot_now" != 'N' ]; then
		reboot
	fi
fi
